import { TableWithId, AnyTable, AnySelectedFields, DbQuery } from "@db/types/db-types";
export declare function getAliasedTableByTableName<TTable extends TableWithId>(name: string, aliasName: string): any;
export declare function getTableByResourceName<TTable extends TableWithId>(resourceName: string): Promise<any>;
export declare function getAliasedTableByResourceName<TTable extends TableWithId>(resourceName: string, aliasName: string): Promise<any>;
export declare function getTableNameByResourceName(resourceName: string): Promise<string>;
/** @monorepo-internal */
export declare function getQuery<TFrom extends AnyTable>(table: TFrom, selects?: undefined, disableGlobalWorkspaceFilter?: boolean): Promise<DbQuery>;
/** @monorepo-internal */
export declare function getQuery<TSelection extends AnySelectedFields, TFrom extends AnyTable>(table: TFrom, selects: TSelection, disableGlobalWorkspaceFilter?: boolean): Promise<DbQuery>;
/** @monorepo-internal */
export declare function executeQuery<TModel>(table: AnyTable, selects?: AnySelectedFields): Promise<any>;
export declare function getForeignColumn(table: AnyTable, tableName: string): any;
export declare function getForeignColumnName(tableName: string): string;
